com.digi.xbee.api.exceptions

## Class ConnectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.digi.xbee.api.exceptions.XBeeException
      - - com.digi.xbee.api.exceptions.ConnectionException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    InterfaceInUseException, InvalidConfigurationException, InvalidInterfaceException, PermissionDeniedException

      public class ConnectionException
      extends XBeeException

  This exception will be thrown when any problem related to the connection with the XBee device occurs.
  See Also:
    `XBeeException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionException()` Creates a `ConnectionException` with `null` as its error detail message.
    `ConnectionException(String message)` Creates a `ConnectionException` with the specified message.
    `ConnectionException(String message, Throwable cause)` Creates a `ConnectionException` with the specified message and cause.
    `ConnectionException(Throwable cause)` Creates a `ConnectionException` with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class com.digi.xbee.api.exceptions.XBeeException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionException

          public ConnectionException()

      Creates a `ConnectionException` with `null` as its error detail message.

    - #### ConnectionException

          public ConnectionException(String message)

      Creates a `ConnectionException` with the specified message.
      Parameters:
        `message` - The associated message.

    - #### ConnectionException

          public ConnectionException(String message,
                             Throwable cause)

      Creates a `ConnectionException` with the specified message and cause.
      Parameters:
        `message` - The associated message.
        `cause` - The cause of this exception.
      See Also:
        `Throwable`

    - #### ConnectionException

          public ConnectionException(Throwable cause)

      Creates a `ConnectionException` with the specified cause.
      Parameters:
        `cause` - The cause of this exception.
      See Also:
        `Throwable`

© Copyright 2014–2014 Digi International Inc. All rights reserved.